int CreateCommonQuestCharacters(int n)
{
	object chobj;
	ref ch;

	makeref(ch, chobj);

// boal -->
	//Quest Pirate
	ch.old.name = "Deadly";
	ch.old.lastname = "Pirate";
	ch.name = TranslateString("","Deadly");
	ch.lastname = TranslateString("","Pirate");
	ch.id		= "Quest Pirate";
	ch.model	= "corsair3";
	ch.sound_type = "pirate";
	ch.nation = PIRATE;
	ch.sex = "man";
	GiveItem2Character(ch, GUN_COMMON);
	ch.equip.gun = GUN_COMMON;
	//JRH ammo mod -->
	if (ENABLE_AMMOMOD) {	// LDH change
		TakenItems(ch, "gunpowder", 1 + rand(2));
		TakenItems(ch, "pistolbullets", 1 + rand(2));
	}
	//JRH ammo mod <--
	GiveItem2Character(ch, BLADE_LONG);
	ch.equip.blade = BLADE_LONG;
	ch.nodisarm	= 1;				// PB: Disable disarming
	ch.location	= "none";
	ch.location.group = "goto";
	ch.location.locator = "none";
	ch.Dialog.Filename = "Vincent Bethune_dialog.c";
	ch.greeting = "Gr_Vincent Bethune";
	ch.rank 	= 6;
	ch.reputation = "40";
	ch.experience = "240000";
	ch.skill.Leadership = "2";
	ch.skill.Fencing = "7";
	ch.skill.Sailing = "1";
	ch.skill.Accuracy = "6";
	ch.skill.Cannons = "5";
	ch.skill.Grappling = "1";
	ch.skill.Repair = "1";
	ch.skill.Defence = "4";
	ch.skill.Commerce = "1";
	ch.skill.Sneak = "8";
	ch.money = "10";
	LAi_SetMerchantType(ch);
	LAi_SetLoginTime(ch, 0.0, 24.0);
	LAi_SetHP(ch, 80.0, 80.0);
	LAi_NoRebirthEnable(ch);
	ch.questchar = true;//MAXIMUS: identifier for captives
	AddGameCharacter(n, ch);
// boal <--

// KK -->
	// governor in boarding residence
	ch.old.name = "";
	ch.old.lastname = "";
	ch.name = "";
	ch.lastname = "";
	ch.id		= "Captured governor";
	ch.model = "korsar";
	ch.sex = "man";
	ch.nation = PIRATE;
	ch.nodisarm	= 1;				// PB: Disable disarming
	ch.location	= "BOARDING_RESIDENCE";
	ch.location.group = "";
	ch.location.locator = "";
	ch.Dialog.Filename = "Captured governor.c";
	ch.rank 	= 1;
	ch.reputation = "52";
	ch.experience = "0";
	ch.skill.Leadership = "1";
	ch.skill.Fencing = "4";
	ch.skill.Sailing = "1";
	ch.skill.Accuracy = "5";
	ch.skill.Cannons = "1";
	ch.skill.Grappling = "1";
	ch.skill.Repair = "1";
	ch.skill.Defence = "1";
	ch.skill.Commerce = "1";
	ch.skill.Sneak = "1";
	ch.money = "10";
	LAi_SetLoginTime(ch, 0.0, 24.0);
	LAi_SetHP(ch, 80.0, 80.0);
	LAi_NoRebirthEnable(ch);
	ch.questchar = true;//MAXIMUS: identifier for captives
	AddGameCharacter(n, ch);
// <-- KK

	// NK 05-03-30 now do random officers with a for loop.
	for(int i = 0; i < NUM_RANDOM_OFFICERS; i++)
	{
		// Random Officer
		ch.old.name = "";
		ch.old.lastname = "";
		ch.name = "";
		ch.lastname = "";
		ch.id		= "Enc_Officer_"+i;
		ch.model	= "";
		ch.sex = "man";
		ch.location	= "";
		ch.location.group = "";
		ch.location.locator = "";
		ch.Dialog.Filename = "";
		ch.nation = PIRATE;
		ch.rank 	= 1;
		ch.reputation = "50";
		ch.experience = "";
		ch.skill.Leadership = "";
		ch.skill.Fencing = "";
		ch.skill.Sailing = "";
		ch.skill.Accuracy = "";
		ch.skill.Cannons = "";
		ch.skill.Grappling = "";
		ch.skill.Repair = "";
		ch.skill.Defence = "";
		ch.skill.Commerce = "";
		ch.skill.Sneak = "";

		AddGameCharacter(n, ch);
	}
	// NK <--
	//MAXIMUS: the same way, as Enc_Officer -[it was my first version of this function (rewritten later by TIH)]->
	for(int j=0; j<CABINCAPTAINS_MAX; j++)
	{
		ch.old.name = "";
		ch.old.lastname = "";
		ch.name = "";
		ch.lastname = "";
		ch.id		= "Enc_CabinCaptain_"+j;
		ch.model	= "";
		ch.sex = "man";
		ch.location	= "";
		ch.location.group = "";
		ch.location.locator = "";
		ch.Dialog.Filename = "";
		ch.nation = PIRATE;
		ch.rank 	= 1;
		ch.reputation = "50";
		ch.experience = "";
		ch.skill.Leadership = "";
		ch.skill.Fencing = "";
		ch.skill.Sailing = "";
		ch.skill.Accuracy = "";
		ch.skill.Cannons = "";
		ch.skill.Grappling = "";
		ch.skill.Repair = "";
		ch.skill.Defence = "";
		ch.skill.Commerce = "";
		ch.skill.Sneak = "";

		AddGameCharacter(n, ch);
	}
	//MAXIMUS: the same way, as Enc_Officer <-[it was my first version of this function (rewritten later by TIH)]-

	return n;
}
